[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

rpm segfaults, at http://bugzilla.redhat.com please ...



On Fri, Mar 21, 2003 at 03:11:54PM +0100, Wolfgang Reimer wrote:
> Is there any way (trick) to downgrade from rpm-4.1.1-0.2.8x to 
> rpm-4.1-1.06 with RH 8.0. I always get a "Segmentation fault":
> 
> > [root@blnreimer2 rh80]# rpm --oldpackage -Uvh popt-1.7-1.06.i386.rpm rpm-4.1-1.06.i386.rpm rpm-build-4.1-1.06.i386.rpm rpm-python-4.1-1.06.i386.rpm rpm-devel-4.1-1.06.i386.rpm 
> > warning: popt-1.7-1.06.i386.rpm: V3 DSA signature: NOKEY, key ID db42a60e
> > Segmentation fault
> > [root@blnreimer2 rh80]# 
> 
> Any hints are appreciated.

OK, that's one too many bug reports before I've had coffee ;-)

The commonest recent (this week) problem with rpm segfaulting has
been because of LDAP. There's a deficiency in the linux loader
that affects statically linked binaries like /bin/rpm that
try to use getpwnam(3) to lookup user names using the pam
LDAP module.

The "fix" is to startup nscd, which changes the way that linkage
occurs. This can be done by running
	service nscd restart

Otherwise, rpm segfault reports at http://bugzilla.redhat.com please.

73 de Jeff

-- 
Jeff Johnson	ARS N3NPQ
jbj@redhat.com (jbj@jbj.org)
Chapel Hill, NC





[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index] []